
ChiliProject - Feature # 388: Add LDAP filter to ldap authentication

Status: Closed Priority: Normal
Author: Florian Mutter Category:
Created: 2011-05-09 Assignee: Eric Davis
Updated: 2011-12-18 Due date:
Remote issue URL:
Affected version:
Description: An LDAP filter will provide a simple way to restrict the access to ChiliProject to a certain group of users. A 

filter can be used in many different ways and as it ist entirely definable by the admin, it can suit many different 
setups.

This patch will requiere an update of Net::LDAP (Bug #258). To update this manually you only need to delete 
to folder vendor/plugins/ruby-net-ldap-0.0.4/ and download the new version and put it in /ver/plugins/. The 
current (0.2.2) version can be found here: http://rubyforge.org/projects/net-ldap/

The patch was created for Redmine but sadly gets no attention there. Maybe you can give me some 
feedback.

Associated revisions
2011-12-18 08:13 pm - Felix SchÃ¤fer 
Merge pull request #142 from elm/custom-ldap-filter

[#388] Custom LDAP filter

History
2011-05-20 03:42 pm - Eric Davis
- Assignee set to Eric Davis

Wow, this is almost identical to an LDAP filter I wrote for a client ("part of 
code":https://github.com/edavis10/redmine_branches/blob/bill-las/app/models/auth_source_ldap.rb#L199-208). I think we can add it but I might use my 
version because I think I have some tests for it too. I also didn't have to upgrade Net::LDAP at all.

Do you have a working LDAP installation? I have a bunch of other LDAP code I'd like to get a second opinion on too (failover, basic ldap groups, pulling 
LDAP attributes into ChiliProject custom fields).

2011-05-20 03:53 pm - Florian Mutter
Hey,

yes, I have an working LDAP setup. I can test your changes if you like... but the I have to install ChiliProject first :)

The update of Net::LDAP was not required for this patch but for the things I wrote into the filter. As far as I remember, the filter did not work if it 
contained a space character.

2011-07-16 06:24 pm - Florian Mutter
Hey,

my Chili installation is working now and I would like to test your code if this is still needed... so it can be moved in the core :)

2011-12-11 03:03 pm - Felix Schäfer
Hi Florian,
I just had a quick look at your pull request and it looks good so far, though I have some comments, I've added them to the pull request on github. Also, 
net-ldap has been moved from vendor/plugins to the gemfile.

Could you update your pull request to the current chiliproject master and include the comments from github? Thanks!

2011-12-11 03:11 pm - Holger Just
BTW: The pull request is at https://github.com/chiliproject/chiliproject/pull/49

2011-12-13 08:17 pm - Florian Mutter
New pull request is here: https://github.com/chiliproject/chiliproject/pull/142

This is a rewrite of the patch with code from Eric Davis including updated tests. I tested the code and it works fine here.

2011-12-14 10:15 pm - Eric Davis
- Status changed from Open to Ready for review

Code looks good to me. If another one of the contributers can verify the tests pass then we can include it for 3.0.

2011-12-18 07:40 pm - Felix Schäfer
- Target version set to 2.6.0

- Status changed from Ready for review to Closed

The @auth_source_ldap_test@ tests run for me, merged in commit:44cf670. Florian, thanks a lot!

Files
